gio-0.13.10.0: Binding to GIO

Maintainer | gtk2hs-devel@lists.sourceforge.net
Stability | alpha
Portability | portable (depends on GHC)
Safe Haskell | Safe-Inferred
Language | Haskell98

System.GIO.Enums

Contents

- Enums

Description

Synopsis

- data FileQueryInfoFlags
  - = FileQueryInfoNone
  - | FileQueryInfoNofollowSymlinks
- data FileCreateFlags
  - = FileCreateNone
  - | FileCreatePrivate
  - | FileCreateReplaceDestination
- data FileCopyFlags
  - = FileCopyNone
  - | FileCopyOverwrite
  - | FileCopyBackup
  - | FileCopyNofollowSymlinks
  - | FileCopyAllMetadata
  - | FileCopyNoFallbackForMove
  - | FileCopyTargetDefaultPerms
  - | FileCopyTargetDefaultModifiedTime
- data FileMonitorFlags
  - = FileMonitorNone
  - | FileMonitorWatchMounts
  - | FileMonitorSendMoved
  - | FileMonitorWatchHardLinks
  - | FileMonitorWatchMoves
- data FilesystemPreviewType
  - = FilesystemPreviewTypeIfAlways
  - | FilesystemPreviewTypeIfLocal
  - | FilesystemPreviewTypeNever
- data FileType
  - = FileTypeUnknown
  - | FileTypeRegular
  - | FileTypeDirectory
  - | FileTypeSymbolicLink
  - | FileTypeSpecial
  - | FileTypeShortcut
  - | FileTypeMountable
- data FileAttributeStatus
  - = FileAttributeStatusUnset
  - | FileAttributeStatusSet
  - | FileAttributeStatusErrorSetting
- data FileAttributeInfoFlags
  - = FileAttributeInfoNone
  - | FileAttributeInfoCopyWithFile
  - | FileAttributeInfoCopyWhenMoved
- data AskPasswordFlags
  - = AskPasswordNeedPassword
  - | AskPasswordNeedUsername
  - | AskPasswordNeedDomain
  - | AskPasswordSavingSupported
  - | AskPasswordAnonymousSupported
  - | AskPasswordTcrypt
- data PasswordSave
  - = PasswordSaveNever
  - | PasswordSaveForSession
  - | PasswordSavePermanently
- data MountOperationResult
  - = MountOperationHandled
  - | MountOperationAborted
  - | MountOperationUnhandled
- data IOErrorEnum
  - = IoErrorFailed
  - | IoErrorNotFound
  - | IoErrorExists
  - | IoErrorIsDirectory
  - | IoErrorNotDirectory
  - | IoErrorNotEmpty
  - | IoErrorNotRegularFile
  - | IoErrorNotSymbolicLink
  - | IoErrorNotMountableFile
  - | IoErrorFilenameTooLong
  - | IoErrorInvalidFilename
  - | IoErrorTooManyLinks
  - | IoErrorNoSpace
  - | IoErrorInvalidArgument
  - | IoErrorPermissionDenied
  - | IoErrorNotSupported
  - | IoErrorNotMounted
  - | IoErrorAlreadyMounted
  - | IoErrorClosed
  - | IoErrorCancelled
  - | IoErrorPending
  - | IoErrorReadOnly
  - | IoErrorCantCreateBackup
  - | IoErrorWrongEtag
  - | IoErrorTimedOut
  - | IoErrorWouldRecurse
  - | IoErrorBusy
  - | IoErrorWouldBlock
  - | IoErrorHostNotFound
  - | IoErrorWouldMerge
  - | IoErrorFailedHandled
  - | IoErrorTooManyOpenFiles
  - | IoErrorNotInitialized
  - | IoErrorAddressInUse
  - | IoErrorPartialInput
  - | IoErrorInvalidData
  - | IoErrorDbusError
  - | IoErrorHostUnreachable
  - | IoErrorNetworkUnreachable
  - | IoErrorConnectionRefused
  - | IoErrorProxyFailed
  - | IoErrorProxyAuthFailed
  - | IoErrorProxyNeedAuth
  - | IoErrorProxyNotAllowed
  - | IoErrorBrokenPipe
  - | IoErrorConnectionClosed
  - | IoErrorNotConnected
  - | IoErrorMessageTooLarge
  - | IoErrorNoSuchDevice
  - | IoErrorDestinationUnset
- data FileMonitorEvent
  - = FileMonitorEventChanged
  - | FileMonitorEventChangesDoneHint
  - | FileMonitorEventDeleted
  - | FileMonitorEventCreated
  - | FileMonitorEventAttributeChanged
  - | FileMonitorEventPreUnmount
  - | FileMonitorEventUnmounted
  - | FileMonitorEventMoved
  - | FileMonitorEventRenamed
  - | FileMonitorEventMovedIn
  - | FileMonitorEventMovedOut
- data MountMountFlags = MountMountNone
- data MountUnmountFlags
  - = MountUnmountNone
  - | MountUnmountForce
- data DriveStartFlags = DriveStartNone
- data DriveStartStopType
  - = DriveStartStopTypeUnknown
  - | DriveStartStopTypeShutdown
  - | DriveStartStopTypeNetwork
  - | DriveStartStopTypeMultidisk
  - | DriveStartStopTypePassword
- data EmblemOrigin
  - = EmblemOriginUnknown
  - | EmblemOriginDevice
  - | EmblemOriginLivemetadata
  - | EmblemOriginTag
- data AppInfoCreateFlags
  - = AppInfoCreateNone
  - | AppInfoCreateNeedsTerminal
  - | AppInfoCreateSupportsUris
  - | AppInfoCreateSupportsStartupNotification

# Enums

data FileQueryInfoFlags Source #

Flags used when querying a `FileInfo`.

Constructors

FileQueryInfoNone |
FileQueryInfoNofollowSymlinks |

#### Instances

Instances details

Bounded FileQueryInfoFlags Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: FileQueryInfoFlags Source # maxBound :: FileQueryInfoFlags Source #
Enum FileQueryInfoFlags Source # | Flags used when an operation may create a file.

Instance details

Defined in System.GIO.Enums

Methods

succ :: FileQueryInfoFlags -> FileQueryInfoFlags Source #

pred :: FileQueryInfoFlags -> FileQueryInfoFlags Source #

toEnum :: Int -> FileQueryInfoFlags Source #

fromEnum :: FileQueryInfoFlags -> Int Source #

enumFrom :: FileQueryInfoFlags -> [FileQueryInfoFlags] Source #

enumFromThen :: FileQueryInfoFlags -> FileQueryInfoFlags -> [FileQueryInfoFlags] Source #

enumFromTo :: FileQueryInfoFlags -> FileQueryInfoFlags -> [FileQueryInfoFlags] Source #

enumFromThenTo :: FileQueryInfoFlags -> FileQueryInfoFlags -> FileQueryInfoFlags -> [FileQueryInfoFlags] Source #

Show FileQueryInfoFlags Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> FileQueryInfoFlags -> ShowS Source # show :: FileQueryInfoFlags -> String Source # showList :: [FileQueryInfoFlags] -> ShowS Source #
Eq FileQueryInfoFlags Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: FileQueryInfoFlags -> FileQueryInfoFlags -> Bool Source # (/=) :: FileQueryInfoFlags -> FileQueryInfoFlags -> Bool Source #
Ord FileQueryInfoFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: FileQueryInfoFlags -> FileQueryInfoFlags -> Ordering Source #

(<) :: FileQueryInfoFlags -> FileQueryInfoFlags -> Bool Source #

(<=) :: FileQueryInfoFlags -> FileQueryInfoFlags -> Bool Source #

(>) :: FileQueryInfoFlags -> FileQueryInfoFlags -> Bool Source #

(>=) :: FileQueryInfoFlags -> FileQueryInfoFlags -> Bool Source #

max :: FileQueryInfoFlags -> FileQueryInfoFlags -> FileQueryInfoFlags Source #

min :: FileQueryInfoFlags -> FileQueryInfoFlags -> FileQueryInfoFlags Source #

Flags FileQueryInfoFlags Source # |
Instance details Defined in System.GIO.Enums

data FileCreateFlags Source #

Constructors

FileCreateNone |
FileCreatePrivate |
FileCreateReplaceDestination |

#### Instances

Instances details

Bounded FileCreateFlags Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: FileCreateFlags Source # maxBound :: FileCreateFlags Source #
Enum FileCreateFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

succ :: FileCreateFlags -> FileCreateFlags Source #

pred :: FileCreateFlags -> FileCreateFlags Source #

toEnum :: Int -> FileCreateFlags Source #

fromEnum :: FileCreateFlags -> Int Source #

enumFrom :: FileCreateFlags -> [FileCreateFlags] Source #

enumFromThen :: FileCreateFlags -> FileCreateFlags -> [FileCreateFlags] Source #

enumFromTo :: FileCreateFlags -> FileCreateFlags -> [FileCreateFlags] Source #

enumFromThenTo :: FileCreateFlags -> FileCreateFlags -> FileCreateFlags -> [FileCreateFlags] Source #

Show FileCreateFlags Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> FileCreateFlags -> ShowS Source # show :: FileCreateFlags -> String Source # showList :: [FileCreateFlags] -> ShowS Source #
Eq FileCreateFlags Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: FileCreateFlags -> FileCreateFlags -> Bool Source # (/=) :: FileCreateFlags -> FileCreateFlags -> Bool Source #
Ord FileCreateFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: FileCreateFlags -> FileCreateFlags -> Ordering Source #

(<) :: FileCreateFlags -> FileCreateFlags -> Bool Source #

(<=) :: FileCreateFlags -> FileCreateFlags -> Bool Source #

(>) :: FileCreateFlags -> FileCreateFlags -> Bool Source #

(>=) :: FileCreateFlags -> FileCreateFlags -> Bool Source #

max :: FileCreateFlags -> FileCreateFlags -> FileCreateFlags Source #

min :: FileCreateFlags -> FileCreateFlags -> FileCreateFlags Source #

Flags FileCreateFlags Source # |
Instance details Defined in System.GIO.Enums

data FileCopyFlags Source #

Flags used when copying or moving files.

Constructors

FileCopyNone |
FileCopyOverwrite |
FileCopyBackup |
FileCopyNofollowSymlinks |
FileCopyAllMetadata |
FileCopyNoFallbackForMove |
FileCopyTargetDefaultPerms |
FileCopyTargetDefaultModifiedTime |

#### Instances

Instances details

Bounded FileCopyFlags Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: FileCopyFlags Source # maxBound :: FileCopyFlags Source #
Enum FileCopyFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

succ :: FileCopyFlags -> FileCopyFlags Source #

pred :: FileCopyFlags -> FileCopyFlags Source #

toEnum :: Int -> FileCopyFlags Source #

fromEnum :: FileCopyFlags -> Int Source #

enumFrom :: FileCopyFlags -> [FileCopyFlags] Source #

enumFromThen :: FileCopyFlags -> FileCopyFlags -> [FileCopyFlags] Source #

enumFromTo :: FileCopyFlags -> FileCopyFlags -> [FileCopyFlags] Source #

enumFromThenTo :: FileCopyFlags -> FileCopyFlags -> FileCopyFlags -> [FileCopyFlags] Source #

Show FileCopyFlags Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> FileCopyFlags -> ShowS Source # show :: FileCopyFlags -> String Source # showList :: [FileCopyFlags] -> ShowS Source #
Eq FileCopyFlags Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: FileCopyFlags -> FileCopyFlags -> Bool Source # (/=) :: FileCopyFlags -> FileCopyFlags -> Bool Source #
Ord FileCopyFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: FileCopyFlags -> FileCopyFlags -> Ordering Source #

(<) :: FileCopyFlags -> FileCopyFlags -> Bool Source #

(<=) :: FileCopyFlags -> FileCopyFlags -> Bool Source #

(>) :: FileCopyFlags -> FileCopyFlags -> Bool Source #

(>=) :: FileCopyFlags -> FileCopyFlags -> Bool Source #

max :: FileCopyFlags -> FileCopyFlags -> FileCopyFlags Source #

min :: FileCopyFlags -> FileCopyFlags -> FileCopyFlags Source #

Flags FileCopyFlags Source # |
Instance details Defined in System.GIO.Enums

data FileMonitorFlags Source #

Flags used to set what a `FileMonitor` will watch for.

Constructors

FileMonitorNone |
FileMonitorWatchMounts |
FileMonitorSendMoved |
FileMonitorWatchHardLinks |
FileMonitorWatchMoves |

#### Instances

Instances details

Bounded FileMonitorFlags Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: FileMonitorFlags Source # maxBound :: FileMonitorFlags Source #
Enum FileMonitorFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

succ :: FileMonitorFlags -> FileMonitorFlags Source #

pred :: FileMonitorFlags -> FileMonitorFlags Source #

toEnum :: Int -> FileMonitorFlags Source #

fromEnum :: FileMonitorFlags -> Int Source #

enumFrom :: FileMonitorFlags -> [FileMonitorFlags] Source #

enumFromThen :: FileMonitorFlags -> FileMonitorFlags -> [FileMonitorFlags] Source #

enumFromTo :: FileMonitorFlags -> FileMonitorFlags -> [FileMonitorFlags] Source #

enumFromThenTo :: FileMonitorFlags -> FileMonitorFlags -> FileMonitorFlags -> [FileMonitorFlags] Source #

Show FileMonitorFlags Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> FileMonitorFlags -> ShowS Source # show :: FileMonitorFlags -> String Source # showList :: [FileMonitorFlags] -> ShowS Source #
Eq FileMonitorFlags Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: FileMonitorFlags -> FileMonitorFlags -> Bool Source # (/=) :: FileMonitorFlags -> FileMonitorFlags -> Bool Source #
Ord FileMonitorFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: FileMonitorFlags -> FileMonitorFlags -> Ordering Source #

(<) :: FileMonitorFlags -> FileMonitorFlags -> Bool Source #

(<=) :: FileMonitorFlags -> FileMonitorFlags -> Bool Source #

(>) :: FileMonitorFlags -> FileMonitorFlags -> Bool Source #

(>=) :: FileMonitorFlags -> FileMonitorFlags -> Bool Source #

max :: FileMonitorFlags -> FileMonitorFlags -> FileMonitorFlags Source #

min :: FileMonitorFlags -> FileMonitorFlags -> FileMonitorFlags Source #

Flags FileMonitorFlags Source # |
Instance details Defined in System.GIO.Enums

data FilesystemPreviewType Source #

Indicates a hint from the file system whether files should be previewed in a file manager. Returned as the value of the key `FileAttributeFilesystemUsePreview`.

Constructors

FilesystemPreviewTypeIfAlways |
FilesystemPreviewTypeIfLocal |
FilesystemPreviewTypeNever |

#### Instances

Instances details

Bounded FilesystemPreviewType Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: FilesystemPreviewType Source # maxBound :: FilesystemPreviewType Source #
Enum FilesystemPreviewType Source # |

Instance details

Defined in System.GIO.Enums

Methods

succ :: FilesystemPreviewType -> FilesystemPreviewType Source #

pred :: FilesystemPreviewType -> FilesystemPreviewType Source #

toEnum :: Int -> FilesystemPreviewType Source #

fromEnum :: FilesystemPreviewType -> Int Source #

enumFrom :: FilesystemPreviewType -> [FilesystemPreviewType] Source #

enumFromThen :: FilesystemPreviewType -> FilesystemPreviewType -> [FilesystemPreviewType] Source #

enumFromTo :: FilesystemPreviewType -> FilesystemPreviewType -> [FilesystemPreviewType] Source #

enumFromThenTo :: FilesystemPreviewType -> FilesystemPreviewType -> FilesystemPreviewType -> [FilesystemPreviewType] Source #

Show FilesystemPreviewType Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> FilesystemPreviewType -> ShowS Source # show :: FilesystemPreviewType -> String Source # showList :: [FilesystemPreviewType] -> ShowS Source #
Eq FilesystemPreviewType Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: FilesystemPreviewType -> FilesystemPreviewType -> Bool Source # (/=) :: FilesystemPreviewType -> FilesystemPreviewType -> Bool Source #
Ord FilesystemPreviewType Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: FilesystemPreviewType -> FilesystemPreviewType -> Ordering Source #

(<) :: FilesystemPreviewType -> FilesystemPreviewType -> Bool Source #

(<=) :: FilesystemPreviewType -> FilesystemPreviewType -> Bool Source #

(>) :: FilesystemPreviewType -> FilesystemPreviewType -> Bool Source #

(>=) :: FilesystemPreviewType -> FilesystemPreviewType -> Bool Source #

max :: FilesystemPreviewType -> FilesystemPreviewType -> FilesystemPreviewType Source #

min :: FilesystemPreviewType -> FilesystemPreviewType -> FilesystemPreviewType Source #

data FileType Source #

Indicates the file's on-disk type.

Constructors

FileTypeUnknown |
FileTypeRegular |
FileTypeDirectory |
FileTypeSymbolicLink |
FileTypeSpecial |
FileTypeShortcut |
FileTypeMountable |

#### Instances

Instances details

Bounded FileType Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: FileType Source # maxBound :: FileType Source #
Enum FileType Source # |

Instance details

Defined in System.GIO.Enums

Methods

succ :: FileType -> FileType Source #

pred :: FileType -> FileType Source #

toEnum :: Int -> FileType Source #

fromEnum :: FileType -> Int Source #

enumFrom :: FileType -> [FileType] Source #

enumFromThen :: FileType -> FileType -> [FileType] Source #

enumFromTo :: FileType -> FileType -> [FileType] Source #

enumFromThenTo :: FileType -> FileType -> FileType -> [FileType] Source #

Show FileType Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> FileType -> ShowS Source # show :: FileType -> String Source # showList :: [FileType] -> ShowS Source #
Eq FileType Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: FileType -> FileType -> Bool Source # (/=) :: FileType -> FileType -> Bool Source #
Ord FileType Source # |
Instance details Defined in System.GIO.Enums Methods compare :: FileType -> FileType -> Ordering Source # (<) :: FileType -> FileType -> Bool Source # (<=) :: FileType -> FileType -> Bool Source # (>) :: FileType -> FileType -> Bool Source # (>=) :: FileType -> FileType -> Bool Source # max :: FileType -> FileType -> FileType Source # min :: FileType -> FileType -> FileType Source #

data FileAttributeStatus Source #

Used by `fileSetAttributesFromInfo` when setting file attributes.

Constructors

FileAttributeStatusUnset |
FileAttributeStatusSet |
FileAttributeStatusErrorSetting |

#### Instances

Instances details

Bounded FileAttributeStatus Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: FileAttributeStatus Source # maxBound :: FileAttributeStatus Source #
Enum FileAttributeStatus Source # |

Instance details

Defined in System.GIO.Enums

Methods

succ :: FileAttributeStatus -> FileAttributeStatus Source #

pred :: FileAttributeStatus -> FileAttributeStatus Source #

toEnum :: Int -> FileAttributeStatus Source #

fromEnum :: FileAttributeStatus -> Int Source #

enumFrom :: FileAttributeStatus -> [FileAttributeStatus] Source #

enumFromThen :: FileAttributeStatus -> FileAttributeStatus -> [FileAttributeStatus] Source #

enumFromTo :: FileAttributeStatus -> FileAttributeStatus -> [FileAttributeStatus] Source #

enumFromThenTo :: FileAttributeStatus -> FileAttributeStatus -> FileAttributeStatus -> [FileAttributeStatus] Source #

Show FileAttributeStatus Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> FileAttributeStatus -> ShowS Source # show :: FileAttributeStatus -> String Source # showList :: [FileAttributeStatus] -> ShowS Source #
Eq FileAttributeStatus Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: FileAttributeStatus -> FileAttributeStatus -> Bool Source # (/=) :: FileAttributeStatus -> FileAttributeStatus -> Bool Source #
Ord FileAttributeStatus Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: FileAttributeStatus -> FileAttributeStatus -> Ordering Source #

(<) :: FileAttributeStatus -> FileAttributeStatus -> Bool Source #

(<=) :: FileAttributeStatus -> FileAttributeStatus -> Bool Source #

(>) :: FileAttributeStatus -> FileAttributeStatus -> Bool Source #

(>=) :: FileAttributeStatus -> FileAttributeStatus -> Bool Source #

max :: FileAttributeStatus -> FileAttributeStatus -> FileAttributeStatus Source #

min :: FileAttributeStatus -> FileAttributeStatus -> FileAttributeStatus Source #

data FileAttributeInfoFlags Source #

Flags specifying the behaviour of an attribute.

Constructors

FileAttributeInfoNone |
FileAttributeInfoCopyWithFile |
FileAttributeInfoCopyWhenMoved |

#### Instances

Instances details

Bounded FileAttributeInfoFlags Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: FileAttributeInfoFlags Source # maxBound :: FileAttributeInfoFlags Source #
Enum FileAttributeInfoFlags Source # | `AskPasswordFlags` are used to request specific information from the user, or to notify the user of their choices in an authentication situation.

Instance details

Defined in System.GIO.Enums

Methods

succ :: FileAttributeInfoFlags -> FileAttributeInfoFlags Source #

pred :: FileAttributeInfoFlags -> FileAttributeInfoFlags Source #

toEnum :: Int -> FileAttributeInfoFlags Source #

fromEnum :: FileAttributeInfoFlags -> Int Source #

enumFrom :: FileAttributeInfoFlags -> [FileAttributeInfoFlags] Source #

enumFromThen :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> [FileAttributeInfoFlags] Source #

enumFromTo :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> [FileAttributeInfoFlags] Source #

enumFromThenTo :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> FileAttributeInfoFlags -> [FileAttributeInfoFlags] Source #

Read FileAttributeInfoFlags Source # |
Instance details Defined in System.GIO.Enums Methods readsPrec :: Int -> ReadS FileAttributeInfoFlags Source # readList :: ReadS [FileAttributeInfoFlags] Source # readPrec :: ReadPrec FileAttributeInfoFlags Source # readListPrec :: ReadPrec [FileAttributeInfoFlags] Source #
Show FileAttributeInfoFlags Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> FileAttributeInfoFlags -> ShowS Source # show :: FileAttributeInfoFlags -> String Source # showList :: [FileAttributeInfoFlags] -> ShowS Source #
Eq FileAttributeInfoFlags Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> Bool Source # (/=) :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> Bool Source #
Ord FileAttributeInfoFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> Ordering Source #

(<) :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> Bool Source #

(<=) :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> Bool Source #

(>) :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> Bool Source #

(>=) :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> Bool Source #

max :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> FileAttributeInfoFlags Source #

min :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> FileAttributeInfoFlags Source #

Flags FileAttributeInfoFlags Source # |
Instance details Defined in System.GIO.Enums

data AskPasswordFlags Source #

Constructors

AskPasswordNeedPassword |
AskPasswordNeedUsername |
AskPasswordNeedDomain |
AskPasswordSavingSupported |
AskPasswordAnonymousSupported |
AskPasswordTcrypt |

#### Instances

Instances details

Bounded AskPasswordFlags Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: AskPasswordFlags Source # maxBound :: AskPasswordFlags Source #
Enum AskPasswordFlags Source # | `MountOperationResult` is returned as a result when a request for information is send by the mounting operation.

Instance details

Defined in System.GIO.Enums

Methods

succ :: AskPasswordFlags -> AskPasswordFlags Source #

pred :: AskPasswordFlags -> AskPasswordFlags Source #

toEnum :: Int -> AskPasswordFlags Source #

fromEnum :: AskPasswordFlags -> Int Source #

enumFrom :: AskPasswordFlags -> [AskPasswordFlags] Source #

enumFromThen :: AskPasswordFlags -> AskPasswordFlags -> [AskPasswordFlags] Source #

enumFromTo :: AskPasswordFlags -> AskPasswordFlags -> [AskPasswordFlags] Source #

enumFromThenTo :: AskPasswordFlags -> AskPasswordFlags -> AskPasswordFlags -> [AskPasswordFlags] Source #

Show AskPasswordFlags Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> AskPasswordFlags -> ShowS Source # show :: AskPasswordFlags -> String Source # showList :: [AskPasswordFlags] -> ShowS Source #
Eq AskPasswordFlags Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: AskPasswordFlags -> AskPasswordFlags -> Bool Source # (/=) :: AskPasswordFlags -> AskPasswordFlags -> Bool Source #
Ord AskPasswordFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: AskPasswordFlags -> AskPasswordFlags -> Ordering Source #

(<) :: AskPasswordFlags -> AskPasswordFlags -> Bool Source #

(<=) :: AskPasswordFlags -> AskPasswordFlags -> Bool Source #

(>) :: AskPasswordFlags -> AskPasswordFlags -> Bool Source #

(>=) :: AskPasswordFlags -> AskPasswordFlags -> Bool Source #

max :: AskPasswordFlags -> AskPasswordFlags -> AskPasswordFlags Source #

min :: AskPasswordFlags -> AskPasswordFlags -> AskPasswordFlags Source #

Flags AskPasswordFlags Source # |
Instance details Defined in System.GIO.Enums

data PasswordSave Source #

`PasswordSave` is used to indicate the lifespan of a saved password.

Constructors

PasswordSaveNever |
PasswordSaveForSession |
PasswordSavePermanently |

#### Instances

Instances details

Bounded PasswordSave Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: PasswordSave Source # maxBound :: PasswordSave Source #
Enum PasswordSave Source # |

Instance details

Defined in System.GIO.Enums

Methods

succ :: PasswordSave -> PasswordSave Source #

pred :: PasswordSave -> PasswordSave Source #

toEnum :: Int -> PasswordSave Source #

fromEnum :: PasswordSave -> Int Source #

enumFrom :: PasswordSave -> [PasswordSave] Source #

enumFromThen :: PasswordSave -> PasswordSave -> [PasswordSave] Source #

enumFromTo :: PasswordSave -> PasswordSave -> [PasswordSave] Source #

enumFromThenTo :: PasswordSave -> PasswordSave -> PasswordSave -> [PasswordSave] Source #

Show PasswordSave Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> PasswordSave -> ShowS Source # show :: PasswordSave -> String Source # showList :: [PasswordSave] -> ShowS Source #
Eq PasswordSave Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: PasswordSave -> PasswordSave -> Bool Source # (/=) :: PasswordSave -> PasswordSave -> Bool Source #
Ord PasswordSave Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: PasswordSave -> PasswordSave -> Ordering Source #

(<) :: PasswordSave -> PasswordSave -> Bool Source #

(<=) :: PasswordSave -> PasswordSave -> Bool Source #

(>) :: PasswordSave -> PasswordSave -> Bool Source #

(>=) :: PasswordSave -> PasswordSave -> Bool Source #

max :: PasswordSave -> PasswordSave -> PasswordSave Source #

min :: PasswordSave -> PasswordSave -> PasswordSave Source #

data MountOperationResult Source #

Constructors

MountOperationHandled |
MountOperationAborted |
MountOperationUnhandled |

#### Instances

Instances details

Bounded MountOperationResult Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: MountOperationResult Source # maxBound :: MountOperationResult Source #
Enum MountOperationResult Source # |

Instance details

Defined in System.GIO.Enums

Methods

succ :: MountOperationResult -> MountOperationResult Source #

pred :: MountOperationResult -> MountOperationResult Source #

toEnum :: Int -> MountOperationResult Source #

fromEnum :: MountOperationResult -> Int Source #

enumFrom :: MountOperationResult -> [MountOperationResult] Source #

enumFromThen :: MountOperationResult -> MountOperationResult -> [MountOperationResult] Source #

enumFromTo :: MountOperationResult -> MountOperationResult -> [MountOperationResult] Source #

enumFromThenTo :: MountOperationResult -> MountOperationResult -> MountOperationResult -> [MountOperationResult] Source #

Show MountOperationResult Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> MountOperationResult -> ShowS Source # show :: MountOperationResult -> String Source # showList :: [MountOperationResult] -> ShowS Source #
Eq MountOperationResult Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: MountOperationResult -> MountOperationResult -> Bool Source # (/=) :: MountOperationResult -> MountOperationResult -> Bool Source #
Ord MountOperationResult Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: MountOperationResult -> MountOperationResult -> Ordering Source #

(<) :: MountOperationResult -> MountOperationResult -> Bool Source #

(<=) :: MountOperationResult -> MountOperationResult -> Bool Source #

(>) :: MountOperationResult -> MountOperationResult -> Bool Source #

(>=) :: MountOperationResult -> MountOperationResult -> Bool Source #

max :: MountOperationResult -> MountOperationResult -> MountOperationResult Source #

min :: MountOperationResult -> MountOperationResult -> MountOperationResult Source #

data IOErrorEnum Source #

Error codes returned by GIO functions.

Constructors

IoErrorFailed |
IoErrorNotFound |
IoErrorExists |
IoErrorIsDirectory |
IoErrorNotDirectory |
IoErrorNotEmpty |
IoErrorNotRegularFile |
IoErrorNotSymbolicLink |
IoErrorNotMountableFile |
IoErrorFilenameTooLong |
IoErrorInvalidFilename |
IoErrorTooManyLinks |
IoErrorNoSpace |
IoErrorInvalidArgument |
IoErrorPermissionDenied |
IoErrorNotSupported |
IoErrorNotMounted |
IoErrorAlreadyMounted |
IoErrorClosed |
IoErrorCancelled |
IoErrorPending |
IoErrorReadOnly |
IoErrorCantCreateBackup |
IoErrorWrongEtag |
IoErrorTimedOut |
IoErrorWouldRecurse |
IoErrorBusy |
IoErrorWouldBlock |
IoErrorHostNotFound |
IoErrorWouldMerge |
IoErrorFailedHandled |
IoErrorTooManyOpenFiles |
IoErrorNotInitialized |
IoErrorAddressInUse |
IoErrorPartialInput |
IoErrorInvalidData |
IoErrorDbusError |
IoErrorHostUnreachable |
IoErrorNetworkUnreachable |
IoErrorConnectionRefused |
IoErrorProxyFailed |
IoErrorProxyAuthFailed |
IoErrorProxyNeedAuth |
IoErrorProxyNotAllowed |
IoErrorBrokenPipe |
IoErrorConnectionClosed |
IoErrorNotConnected |
IoErrorMessageTooLarge |
IoErrorNoSuchDevice |
IoErrorDestinationUnset |

#### Instances

Instances details

Bounded IOErrorEnum Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: IOErrorEnum Source # maxBound :: IOErrorEnum Source #
Enum IOErrorEnum Source # |

Instance details

Defined in System.GIO.Enums

Methods

succ :: IOErrorEnum -> IOErrorEnum Source #

pred :: IOErrorEnum -> IOErrorEnum Source #

toEnum :: Int -> IOErrorEnum Source #

fromEnum :: IOErrorEnum -> Int Source #

enumFrom :: IOErrorEnum -> [IOErrorEnum] Source #

enumFromThen :: IOErrorEnum -> IOErrorEnum -> [IOErrorEnum] Source #

enumFromTo :: IOErrorEnum -> IOErrorEnum -> [IOErrorEnum] Source #

enumFromThenTo :: IOErrorEnum -> IOErrorEnum -> IOErrorEnum -> [IOErrorEnum] Source #

Show IOErrorEnum Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> IOErrorEnum -> ShowS Source # show :: IOErrorEnum -> String Source # showList :: [IOErrorEnum] -> ShowS Source #
Eq IOErrorEnum Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: IOErrorEnum -> IOErrorEnum -> Bool Source # (/=) :: IOErrorEnum -> IOErrorEnum -> Bool Source #
Ord IOErrorEnum Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: IOErrorEnum -> IOErrorEnum -> Ordering Source #

(<) :: IOErrorEnum -> IOErrorEnum -> Bool Source #

(<=) :: IOErrorEnum -> IOErrorEnum -> Bool Source #

(>) :: IOErrorEnum -> IOErrorEnum -> Bool Source #

(>=) :: IOErrorEnum -> IOErrorEnum -> Bool Source #

max :: IOErrorEnum -> IOErrorEnum -> IOErrorEnum Source #

min :: IOErrorEnum -> IOErrorEnum -> IOErrorEnum Source #

data FileMonitorEvent Source #

Specifies what type of event a monitor event is.

Constructors

FileMonitorEventChanged |
FileMonitorEventChangesDoneHint |
FileMonitorEventDeleted |
FileMonitorEventCreated |
FileMonitorEventAttributeChanged |
FileMonitorEventPreUnmount |
FileMonitorEventUnmounted |
FileMonitorEventMoved |
FileMonitorEventRenamed |
FileMonitorEventMovedIn |
FileMonitorEventMovedOut |

#### Instances

Instances details

Bounded FileMonitorEvent Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: FileMonitorEvent Source # maxBound :: FileMonitorEvent Source #
Enum FileMonitorEvent Source # |

Instance details

Defined in System.GIO.Enums

Methods

succ :: FileMonitorEvent -> FileMonitorEvent Source #

pred :: FileMonitorEvent -> FileMonitorEvent Source #

toEnum :: Int -> FileMonitorEvent Source #

fromEnum :: FileMonitorEvent -> Int Source #

enumFrom :: FileMonitorEvent -> [FileMonitorEvent] Source #

enumFromThen :: FileMonitorEvent -> FileMonitorEvent -> [FileMonitorEvent] Source #

enumFromTo :: FileMonitorEvent -> FileMonitorEvent -> [FileMonitorEvent] Source #

enumFromThenTo :: FileMonitorEvent -> FileMonitorEvent -> FileMonitorEvent -> [FileMonitorEvent] Source #

Show FileMonitorEvent Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> FileMonitorEvent -> ShowS Source # show :: FileMonitorEvent -> String Source # showList :: [FileMonitorEvent] -> ShowS Source #
Eq FileMonitorEvent Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: FileMonitorEvent -> FileMonitorEvent -> Bool Source # (/=) :: FileMonitorEvent -> FileMonitorEvent -> Bool Source #
Ord FileMonitorEvent Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: FileMonitorEvent -> FileMonitorEvent -> Ordering Source #

(<) :: FileMonitorEvent -> FileMonitorEvent -> Bool Source #

(<=) :: FileMonitorEvent -> FileMonitorEvent -> Bool Source #

(>) :: FileMonitorEvent -> FileMonitorEvent -> Bool Source #

(>=) :: FileMonitorEvent -> FileMonitorEvent -> Bool Source #

max :: FileMonitorEvent -> FileMonitorEvent -> FileMonitorEvent Source #

min :: FileMonitorEvent -> FileMonitorEvent -> FileMonitorEvent Source #

data MountMountFlags Source #

Flags used when mounting a mount.

Constructors

MountMountNone |

#### Instances

Instances details

Bounded MountMountFlags Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: MountMountFlags Source # maxBound :: MountMountFlags Source #
Enum MountMountFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

succ :: MountMountFlags -> MountMountFlags Source #

pred :: MountMountFlags -> MountMountFlags Source #

toEnum :: Int -> MountMountFlags Source #

fromEnum :: MountMountFlags -> Int Source #

enumFrom :: MountMountFlags -> [MountMountFlags] Source #

enumFromThen :: MountMountFlags -> MountMountFlags -> [MountMountFlags] Source #

enumFromTo :: MountMountFlags -> MountMountFlags -> [MountMountFlags] Source #

enumFromThenTo :: MountMountFlags -> MountMountFlags -> MountMountFlags -> [MountMountFlags] Source #

Show MountMountFlags Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> MountMountFlags -> ShowS Source # show :: MountMountFlags -> String Source # showList :: [MountMountFlags] -> ShowS Source #
Eq MountMountFlags Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: MountMountFlags -> MountMountFlags -> Bool Source # (/=) :: MountMountFlags -> MountMountFlags -> Bool Source #
Ord MountMountFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: MountMountFlags -> MountMountFlags -> Ordering Source #

(<) :: MountMountFlags -> MountMountFlags -> Bool Source #

(<=) :: MountMountFlags -> MountMountFlags -> Bool Source #

(>) :: MountMountFlags -> MountMountFlags -> Bool Source #

(>=) :: MountMountFlags -> MountMountFlags -> Bool Source #

max :: MountMountFlags -> MountMountFlags -> MountMountFlags Source #

min :: MountMountFlags -> MountMountFlags -> MountMountFlags Source #

Flags MountMountFlags Source # |
Instance details Defined in System.GIO.Enums

data MountUnmountFlags Source #

Flags used when an unmounting a mount.

Constructors

MountUnmountNone |
MountUnmountForce |

#### Instances

Instances details

Bounded MountUnmountFlags Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: MountUnmountFlags Source # maxBound :: MountUnmountFlags Source #
Enum MountUnmountFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

succ :: MountUnmountFlags -> MountUnmountFlags Source #

pred :: MountUnmountFlags -> MountUnmountFlags Source #

toEnum :: Int -> MountUnmountFlags Source #

fromEnum :: MountUnmountFlags -> Int Source #

enumFrom :: MountUnmountFlags -> [MountUnmountFlags] Source #

enumFromThen :: MountUnmountFlags -> MountUnmountFlags -> [MountUnmountFlags] Source #

enumFromTo :: MountUnmountFlags -> MountUnmountFlags -> [MountUnmountFlags] Source #

enumFromThenTo :: MountUnmountFlags -> MountUnmountFlags -> MountUnmountFlags -> [MountUnmountFlags] Source #

Show MountUnmountFlags Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> MountUnmountFlags -> ShowS Source # show :: MountUnmountFlags -> String Source # showList :: [MountUnmountFlags] -> ShowS Source #
Eq MountUnmountFlags Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: MountUnmountFlags -> MountUnmountFlags -> Bool Source # (/=) :: MountUnmountFlags -> MountUnmountFlags -> Bool Source #
Ord MountUnmountFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: MountUnmountFlags -> MountUnmountFlags -> Ordering Source #

(<) :: MountUnmountFlags -> MountUnmountFlags -> Bool Source #

(<=) :: MountUnmountFlags -> MountUnmountFlags -> Bool Source #

(>) :: MountUnmountFlags -> MountUnmountFlags -> Bool Source #

(>=) :: MountUnmountFlags -> MountUnmountFlags -> Bool Source #

max :: MountUnmountFlags -> MountUnmountFlags -> MountUnmountFlags Source #

min :: MountUnmountFlags -> MountUnmountFlags -> MountUnmountFlags Source #

Flags MountUnmountFlags Source # |
Instance details Defined in System.GIO.Enums

data DriveStartFlags Source #

Flags used when starting a drive.

Constructors

DriveStartNone |

#### Instances

Instances details

Bounded DriveStartFlags Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: DriveStartFlags Source # maxBound :: DriveStartFlags Source #
Enum DriveStartFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

succ :: DriveStartFlags -> DriveStartFlags Source #

pred :: DriveStartFlags -> DriveStartFlags Source #

toEnum :: Int -> DriveStartFlags Source #

fromEnum :: DriveStartFlags -> Int Source #

enumFrom :: DriveStartFlags -> [DriveStartFlags] Source #

enumFromThen :: DriveStartFlags -> DriveStartFlags -> [DriveStartFlags] Source #

enumFromTo :: DriveStartFlags -> DriveStartFlags -> [DriveStartFlags] Source #

enumFromThenTo :: DriveStartFlags -> DriveStartFlags -> DriveStartFlags -> [DriveStartFlags] Source #

Show DriveStartFlags Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> DriveStartFlags -> ShowS Source # show :: DriveStartFlags -> String Source # showList :: [DriveStartFlags] -> ShowS Source #
Eq DriveStartFlags Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: DriveStartFlags -> DriveStartFlags -> Bool Source # (/=) :: DriveStartFlags -> DriveStartFlags -> Bool Source #
Ord DriveStartFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: DriveStartFlags -> DriveStartFlags -> Ordering Source #

(<) :: DriveStartFlags -> DriveStartFlags -> Bool Source #

(<=) :: DriveStartFlags -> DriveStartFlags -> Bool Source #

(>) :: DriveStartFlags -> DriveStartFlags -> Bool Source #

(>=) :: DriveStartFlags -> DriveStartFlags -> Bool Source #

max :: DriveStartFlags -> DriveStartFlags -> DriveStartFlags Source #

min :: DriveStartFlags -> DriveStartFlags -> DriveStartFlags Source #

Flags DriveStartFlags Source # |
Instance details Defined in System.GIO.Enums

data DriveStartStopType Source #

Enumeration describing how a drive can be started/stopped.

Constructors

DriveStartStopTypeUnknown |
DriveStartStopTypeShutdown |
DriveStartStopTypeNetwork |
DriveStartStopTypeMultidisk |
DriveStartStopTypePassword |

#### Instances

Instances details

Bounded DriveStartStopType Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: DriveStartStopType Source # maxBound :: DriveStartStopType Source #
Enum DriveStartStopType Source # |

Instance details

Defined in System.GIO.Enums

Methods

succ :: DriveStartStopType -> DriveStartStopType Source #

pred :: DriveStartStopType -> DriveStartStopType Source #

toEnum :: Int -> DriveStartStopType Source #

fromEnum :: DriveStartStopType -> Int Source #

enumFrom :: DriveStartStopType -> [DriveStartStopType] Source #

enumFromThen :: DriveStartStopType -> DriveStartStopType -> [DriveStartStopType] Source #

enumFromTo :: DriveStartStopType -> DriveStartStopType -> [DriveStartStopType] Source #

enumFromThenTo :: DriveStartStopType -> DriveStartStopType -> DriveStartStopType -> [DriveStartStopType] Source #

Show DriveStartStopType Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> DriveStartStopType -> ShowS Source # show :: DriveStartStopType -> String Source # showList :: [DriveStartStopType] -> ShowS Source #
Eq DriveStartStopType Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: DriveStartStopType -> DriveStartStopType -> Bool Source # (/=) :: DriveStartStopType -> DriveStartStopType -> Bool Source #
Ord DriveStartStopType Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: DriveStartStopType -> DriveStartStopType -> Ordering Source #

(<) :: DriveStartStopType -> DriveStartStopType -> Bool Source #

(<=) :: DriveStartStopType -> DriveStartStopType -> Bool Source #

(>) :: DriveStartStopType -> DriveStartStopType -> Bool Source #

(>=) :: DriveStartStopType -> DriveStartStopType -> Bool Source #

max :: DriveStartStopType -> DriveStartStopType -> DriveStartStopType Source #

min :: DriveStartStopType -> DriveStartStopType -> DriveStartStopType Source #

data EmblemOrigin Source #

`EmblemOrigin` is used to add information about the origin of the emblem to `Emblem`.

Constructors

EmblemOriginUnknown |
EmblemOriginDevice |
EmblemOriginLivemetadata |
EmblemOriginTag |

#### Instances

Instances details

Bounded EmblemOrigin Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: EmblemOrigin Source # maxBound :: EmblemOrigin Source #
Enum EmblemOrigin Source # |

Instance details

Defined in System.GIO.Enums

Methods

succ :: EmblemOrigin -> EmblemOrigin Source #

pred :: EmblemOrigin -> EmblemOrigin Source #

toEnum :: Int -> EmblemOrigin Source #

fromEnum :: EmblemOrigin -> Int Source #

enumFrom :: EmblemOrigin -> [EmblemOrigin] Source #

enumFromThen :: EmblemOrigin -> EmblemOrigin -> [EmblemOrigin] Source #

enumFromTo :: EmblemOrigin -> EmblemOrigin -> [EmblemOrigin] Source #

enumFromThenTo :: EmblemOrigin -> EmblemOrigin -> EmblemOrigin -> [EmblemOrigin] Source #

Show EmblemOrigin Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> EmblemOrigin -> ShowS Source # show :: EmblemOrigin -> String Source # showList :: [EmblemOrigin] -> ShowS Source #
Eq EmblemOrigin Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: EmblemOrigin -> EmblemOrigin -> Bool Source # (/=) :: EmblemOrigin -> EmblemOrigin -> Bool Source #
Ord EmblemOrigin Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: EmblemOrigin -> EmblemOrigin -> Ordering Source #

(<) :: EmblemOrigin -> EmblemOrigin -> Bool Source #

(<=) :: EmblemOrigin -> EmblemOrigin -> Bool Source #

(>) :: EmblemOrigin -> EmblemOrigin -> Bool Source #

(>=) :: EmblemOrigin -> EmblemOrigin -> Bool Source #

max :: EmblemOrigin -> EmblemOrigin -> EmblemOrigin Source #

min :: EmblemOrigin -> EmblemOrigin -> EmblemOrigin Source #

data AppInfoCreateFlags Source #

Flags used when creating a `AppInfo`.

Constructors

AppInfoCreateNone |
AppInfoCreateNeedsTerminal |
AppInfoCreateSupportsUris |
AppInfoCreateSupportsStartupNotification |

#### Instances

Instances details

Bounded AppInfoCreateFlags Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: AppInfoCreateFlags Source # maxBound :: AppInfoCreateFlags Source #
Enum AppInfoCreateFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

succ :: AppInfoCreateFlags -> AppInfoCreateFlags Source #

pred :: AppInfoCreateFlags -> AppInfoCreateFlags Source #

toEnum :: Int -> AppInfoCreateFlags Source #

fromEnum :: AppInfoCreateFlags -> Int Source #

enumFrom :: AppInfoCreateFlags -> [AppInfoCreateFlags] Source #

enumFromThen :: AppInfoCreateFlags -> AppInfoCreateFlags -> [AppInfoCreateFlags] Source #

enumFromTo :: AppInfoCreateFlags -> AppInfoCreateFlags -> [AppInfoCreateFlags] Source #

enumFromThenTo :: AppInfoCreateFlags -> AppInfoCreateFlags -> AppInfoCreateFlags -> [AppInfoCreateFlags] Source #

Show AppInfoCreateFlags Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> AppInfoCreateFlags -> ShowS Source # show :: AppInfoCreateFlags -> String Source # showList :: [AppInfoCreateFlags] -> ShowS Source #
Eq AppInfoCreateFlags Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: AppInfoCreateFlags -> AppInfoCreateFlags -> Bool Source # (/=) :: AppInfoCreateFlags -> AppInfoCreateFlags -> Bool Source #
Ord AppInfoCreateFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: AppInfoCreateFlags -> AppInfoCreateFlags -> Ordering Source #

(<) :: AppInfoCreateFlags -> AppInfoCreateFlags -> Bool Source #

(<=) :: AppInfoCreateFlags -> AppInfoCreateFlags -> Bool Source #

(>) :: AppInfoCreateFlags -> AppInfoCreateFlags -> Bool Source #

(>=) :: AppInfoCreateFlags -> AppInfoCreateFlags -> Bool Source #

max :: AppInfoCreateFlags -> AppInfoCreateFlags -> AppInfoCreateFlags Source #

min :: AppInfoCreateFlags -> AppInfoCreateFlags -> AppInfoCreateFlags Source #

Flags AppInfoCreateFlags Source # |
Instance details Defined in System.GIO.Enums